For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
              • GETList Countryʼs States
              • GETGet Countryʼs State
              • GETGet Count of States
              • GETList States
              • GETGet Count of Country’s States
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementGeographyStates

Get Count of Country’s States

GET
https://api.bigcommerce.com/stores/:store_hash/v2/countries/:country_id/states/count
GET
/stores/:store_hash/v2/countries/:country_id/states/count
$curl https://api.bigcommerce.com/stores/store_hash/v2/countries/1/states/count \
> -H "X-Auth-Token: <apiKey>"
200response
1{
2 "count": 241
3}

Returns a count of a countryʼs states.

Was this page helpful?
Previous

List States

Next

Infrastructure Hosting

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

country_idintegerRequired
store_hashstringRequired
Permanent ID of the BigCommerce store.

Response

countinteger>=1